List template warm pools
import requests
url = "https://api.13-215-85-171.sslip.io/v1/template-warm-pools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/template-warm-pools \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "twp_review_pool",
"name": "<string>",
"template_ref": "<string>",
"resolved_template": "<string>",
"resources": {
"vcpus": 2,
"memory_mb": 2,
"disk_mb": 2
},
"min_ready": 123,
"max_ready": 123,
"idle_timeout_seconds": 123,
"stale_after_seconds": 123,
"rollout_generation": 123,
"rollout_status": {},
"status": {
"target": 123,
"ready": 123,
"warming": 123,
"claimed": 123,
"draining": 123,
"failed": 123,
"expired": 123,
"unavailable": 123
},
"labels": {},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resolved_template_build_id": "<string>",
"runtime_artifact_id": "<string>",
"host_pool_id": "<string>",
"cell_id": "<string>",
"compatibility_key": "<string>",
"track_tag": "<string>",
"previous_resolved_template": "<string>",
"previous_resolved_template_build_id": "<string>",
"previous_runtime_artifact_id": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z",
"drain_requested_at": "2023-11-07T05:31:56Z",
"last_reconciled_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}Templates
List template warm pools
GET
/
v1
/
template-warm-pools
List template warm pools
import requests
url = "https://api.13-215-85-171.sslip.io/v1/template-warm-pools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/template-warm-pools \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "twp_review_pool",
"name": "<string>",
"template_ref": "<string>",
"resolved_template": "<string>",
"resources": {
"vcpus": 2,
"memory_mb": 2,
"disk_mb": 2
},
"min_ready": 123,
"max_ready": 123,
"idle_timeout_seconds": 123,
"stale_after_seconds": 123,
"rollout_generation": 123,
"rollout_status": {},
"status": {
"target": 123,
"ready": 123,
"warming": 123,
"claimed": 123,
"draining": 123,
"failed": 123,
"expired": 123,
"unavailable": 123
},
"labels": {},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resolved_template_build_id": "<string>",
"runtime_artifact_id": "<string>",
"host_pool_id": "<string>",
"cell_id": "<string>",
"compatibility_key": "<string>",
"track_tag": "<string>",
"previous_resolved_template": "<string>",
"previous_resolved_template_build_id": "<string>",
"previous_runtime_artifact_id": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z",
"drain_requested_at": "2023-11-07T05:31:56Z",
"last_reconciled_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}Authorizations
API key passed as Bearer token
Query Parameters
Filter by public template ref or resolved template id.
Available options:
enabled, disabled, draining, deleted Available options:
ready, warming, degraded, draining, unavailable Repeated key=value label filters.
Required range:
1 <= x <= 1000Response
Warm pools
Show child attributes
Show child attributes
⌘I